@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700;800&display=swap");

* {
  margin: 0;
  padding: 0;
}

body {
  min-height: 100vh;
  margin: 0;
  background: #000000;
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 1) 0%,
    rgba(79, 0, 0, 1) 79%,
    rgba(89, 1, 1, 1) 100%
  );
  font-family: "Poppins", sans-serif;
  color: #fff;
}

img {
  width: 100%;
  height: 100%;
}

h1 {
  font-size: 100px;
  text-align: center;
}

.container {
  max-width: 1400px;
  margin: 0 auto;
  padding: 16px 24px;
}

.flexbox-avatars {
  margin-top: 50px;
  gap: 100px;
  display: flex;
  max-width: 100%;
  justify-content: space-between;
}

.flexbox-avatars h1 {
  max-width: 50%;
  margin-top: 15px;
  text-align: center;
}

.flexbox-avatars p {
  text-align: center;
  font-size: 16px;
  max-width: 85%;
  margin-top: 15px;
}

.flexbox-avatars img {
  display: block;
  margin: 15px auto;
  width: 50%;
  height: 50%;
  border-radius: 15px;
}

.avatar {
  border: 2px solid #fff;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  text-align: center;
  max-width: 350px;
  min-width: 270px;

  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
}

.avatar:focus-visible {
  outline: 3px solid aquamarine;
  outline-offset: 2px;
}

.avatar:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 20px rgba(128, 128, 128, 0.3), 0 0 30px rgba(255, 255, 255, 0.4),
    0 0 60px rgba(255, 255, 255, 0.2);
  border: 2px solid rgba(255, 255, 255, 0.8);
}

@media (max-width: 1000px) {
  .flexbox-avatars {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
  }

  .flexbox-avatars .avatar {
    flex: 1 1 calc(50%-40px);
    max-width: calc(50%-40px);
    box-sizing: border-box;
  }

  .flexbox-avatars h2 {
    margin-top: 15px;
  }

  .flexbox-avatars p {
    max-width: 85%;
    margin: 15px 15px;
    font-size: 16px;
  }

  .flexbox-avatars img {
    display: block;
    width: 50%;
    height: auto;
    border-radius: 15px;
  }
}

@media (max-width: 650px) {
  .flexbox-avatars {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}
